CUTLASS: cutlass::library::TileDescription Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::library::TileDescription Struct Reference

Structure describing the tiled structure of a GEMM-like computation.

`#include <library.h>`

Collaboration diagram for cutlass::library::TileDescription:
[legend]

## Public Member Functions
| TileDescription (cutlass::gemm::GemmCoord threadblock_shape=cutlass::gemm::GemmCoord(), int threadblock_stages=0, cutlass::gemm::GemmCoord warp_count=cutlass::gemm::GemmCoord(), MathInstructionDescription math_instruction=MathInstructionDescription(), int minimum_compute_capability=0, int maximum_compute_capability=0)

## Public Attributes
cutlass::gemm::GemmCoord | threadblock_shape
| Describes the shape of a threadblock (in elements) More...
int | threadblock_stages
| Describes the number of pipeline stages in the threadblock-scoped mainloop. More...
cutlass::gemm::GemmCoord | warp_count
| Number of warps in each logical dimension. More...
MathInstructionDescription | math_instruction
| Core math instruction. More...
int | minimum_compute_capability
| Minimum compute capability (e.g. 70, 75) of a device eligible to run the operation. More...
int | maximum_compute_capability
| Minimum compute capability (e.g. 70, 75) of a device eligible to run the operation. More...

## Constructor & Destructor Documentation

cutlass::library::TileDescription::TileDescription | ( | cutlass::gemm::GemmCoord | threadblock_shape = `cutlass::gemm::GemmCoord()`,
|  | int | threadblock_stages = `0`,
|  | cutlass::gemm::GemmCoord | warp_count = `cutlass::gemm::GemmCoord()`,
|  | MathInstructionDescription | math_instruction = `MathInstructionDescription()`,
|  | int | minimum_compute_capability = `0`,
|  | int | maximum_compute_capability = `0`
| ) |  |
| inline

## Member Data Documentation

MathInstructionDescription cutlass::library::TileDescription::math_instruction

int cutlass::library::TileDescription::maximum_compute_capability

int cutlass::library::TileDescription::minimum_compute_capability

cutlass::gemm::GemmCoord cutlass::library::TileDescription::threadblock_shape

int cutlass::library::TileDescription::threadblock_stages

cutlass::gemm::GemmCoord cutlass::library::TileDescription::warp_count

The documentation for this struct was generated from the following file:

- library.h